function [ xx ] = zaruseni_drift( x, fvz )
% Funkce zaruseni_drift.m simuluje rušení vznikající pomalými
% elektrochemickými ději na rozhraní elektroda-pokožka a dýcháním a pomlými
% pohyby pacienta. Do funkce vstupují dva parametry:
% x: vektor popisující signál, u kterého má být provedena simulace driftu
% fvz: kladné číslo charakterizující frekvenci, s kterou je signál x
% vzorkován
% Výstupem funkce zaruseni_drift.m je vektor xx popisující získaný signál 
% zarušený driftem.

%frekvence do 1.5 Hz
fmez=1.5;
N=length(x);
drift=randn(1,N)*5;

%odstranění nežádoucích frekvencí
b=fir1(10000, fmez/(fvz));
ruseni=filter(b, 1, drift);

%zarušení původního signálu
xx=x+ruseni';

end



